// ConnectTileDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MapEditor.h"
#include "ConnectTileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnectTileDlg dialog


CConnectTileDlg::CConnectTileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConnectTileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnectTileDlg)
	m_strBackTile = _T("");
	m_strFrontTile = _T("");
	m_strName = _T("");
	//}}AFX_DATA_INIT
}


void CConnectTileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectTileDlg)
	DDX_Control(pDX, IDC_LIST_TILE3, m_ctrlTile3);
	DDX_Control(pDX, IDC_LIST_TILE2, m_ctrlTile2);
	DDX_Control(pDX, IDC_LIST_TILE1, m_ctrlTile1);
	DDX_Text(pDX, IDC_EDIT_BACKTILE, m_strBackTile);
	DDX_Text(pDX, IDC_EDIT_FRONTTILE, m_strFrontTile);
	DDX_Text(pDX, IDC_EDIT_NAME, m_strName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConnectTileDlg, CDialog)
	//{{AFX_MSG_MAP(CConnectTileDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConnectTileDlg message handlers
